Bug 1269100 - Business central items are not visible in Kie navigator when other than default git path is used
Business central items are not visible in Kie navigator when other than defau...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Robert (Bob) Brodt
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 06:47 EDT by Tomas David
Modified: 2016-04-21 04:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
repo_error (8.08 KB, image/png)
2015-10-06 06:47 EDT, Tomas David
no flags Details
server settings (51.24 KB, image/png)
2015-10-16 03:23 EDT, Tomas David
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1134 Major Closed Business central items are not visible in Kie navigator when other than default git path is used 2016-12-01 16:40 EST

  None (edit)
Description Tomas David 2015-10-06 06:47:04 EDT
Created attachment 1080199 [details]
repo_error

Description of problem:
When Git Repository Path is set to another location than default (not the checkbox but the default filled path), business central items (rules, pom.xml and other files) are not visible in kie navigator.

Version-Release number of selected component (if applicable):
Drools 6.3.0.Final

How reproducible:
-

Steps to Reproduce:
1. Set up and run a server.
2. Open Kie navigator, open properties for the server and change Git repository path.
3. Open org unit, open repository, error "Invalid remote origin" is displayed, see the attachment.
4. Open project. Browse project.

Actual results:
No items are visible.

Expected results:
Items (rules, pom.xml, ...) are visible. 

Additional info:
-
Comment 1 Robert (Bob) Brodt 2015-10-14 12:09:51 EDT
Hmm, I'm not able to reproduce this. One thing to check is to make sure the specified git directory exists, and is empty. There is code in the property page that displays an error message if the directory does not exist, but it does not check if the directory is empty. Maybe there's a different git repo in there already that conflicts with the one being cloned from the server?
Comment 2 Tomas David 2015-10-16 03:21:53 EDT
Hello Bob,

I use empty directory which exists. I see this issue in Eclipse and also in JBDS.

Some details to the steps:
I use new installation of Eclipse Luna only with these plugins:
http://download.jboss.org/jbosstools/updates/stable/luna/
http://download.jboss.org/drools/release/6.3.0.Final/org.drools.updatesite/

Currently, I test this with BRMS business-central 6.2.0.ER4 on EAP 6.4.3.
For connection in kie navigator, I use 'restuser' which has 'rest-all,rest-project' roles.

I tried to run eclipse from terminal and I got this exception:

org.eclipse.jgit.api.errors.InvalidRemoteException: Invalid remote: origin
	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:136)
	at org.eclipse.jgit.api.CloneCommand.fetch(CloneCommand.java:178)
	at org.eclipse.jgit.api.CloneCommand.call(CloneCommand.java:125)
	at org.kie.eclipse.navigator.view.utils.ActionUtils$1.run(ActionUtils.java:155)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
Caused by: org.eclipse.jgit.errors.NoRemoteRepositoryException: ssh://restuser@localhost:8001/repository1: Invalid credentials.
	at org.eclipse.jgit.transport.TransportGitSsh.cleanNotFound(TransportGitSsh.java:194)
	at org.eclipse.jgit.transport.TransportGitSsh$SshFetchConnection.<init>(TransportGitSsh.java:274)
	at org.eclipse.jgit.transport.TransportGitSsh.openFetch(TransportGitSsh.java:147)
	at org.eclipse.jgit.transport.FetchProcess.executeImp(FetchProcess.java:136)
	at org.eclipse.jgit.transport.FetchProcess.execute(FetchProcess.java:122)
	at org.eclipse.jgit.transport.Transport.fetch(Transport.java:1111)
	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:130)
	... 4 more

If you still cannot see the issue, let me know and I will try to investigate more.
Comment 3 Tomas David 2015-10-16 03:23 EDT
Created attachment 1083529 [details]
server settings

I attach screenshot of server properties.
Comment 4 Tomas David 2015-10-20 02:34:36 EDT
Hello Bob,

today I tried kie navigator on my RHEL virtual machine and I didn't see the issue. I found two problems. The first one was some problem with my .ssh/known_hosts file but this problem is not related to kie navigator.

The important problem is the second one. I use 'restuser' which has 'rest-all,rest-project' roles but it looks like that this user cannot clone a repo from business-central. If I add some ui role to the user like admin or analyst role, the issue does not apper again.

Is it correct behaviour or is it a bug? If not, I will close this bz.

Thanks.
Comment 5 Robert (Bob) Brodt 2015-10-20 07:53:29 EDT
Hmm, I really don't know. It sounds like this is an issue with the REST service. The Kie Navigator is not designed to manage users and roles on the web server. Maybe we can just document around this bug? Specifically, I think we need to document exactly how users should be configured on the web server to allow use of Kie Navigator.

WDYT?
Comment 6 Robert (Bob) Brodt 2015-10-22 14:09:16 EDT
Created https://bugzilla.redhat.com/show_bug.cgi?id=1274446  as a documentation issue.
Comment 7 Tomas David 2015-10-23 04:38:09 EDT
Ok, thank you Bob.
Comment 8 Tomas David 2016-03-04 08:35:19 EST
Verified with JBDS 9.1.0.Beta2 and Drools plugin 6.4.0.201601201107.

Note You need to log in before you can comment on or make changes to this bug.